Subject: Linux-Activists - DOC Channel digest. 93-3-14-10:34
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 14 Apr 1993 17:07:59 +0300

Topics:
	 Re: [ANNOUNCE] Old man pages restored, new man pages available 

----------------------------------------------------------------------

From: Drew Eckhardt <[email-masked]>
Subject: Re: [ANNOUNCE] Old man pages restored, new man pages available 
Date: Wed, 14 Apr 1993 13:26:38 +0300

--------

    [email-masked]

    Please find in

    The copyright issues appear to have been resolved.  All of these man pages
    have copyright notices in them and are distributable under the terms of the
    GNU General Public License.
    
    IF YOU HAVE OLD VERSIONS OF THESE MAN PAGES, PLEASE GET THE UPDATED
    VERSIONS!

I did this, and noticed that some entries from my original man(2) pages were
missing. 

Unix has a number of closely related, very similar system calls, such
as read/write (taking the same parameters, returning the same values,
with one reading and one writing), setreuid/setregid, etc.   

So, when I wrote the original man(2) pages, I often grouped multiple 
system calls into a single man page - such as 

.SH NAME
read, write \- read / write syscalls

Unfortunately, when Michael modified the man pages, he often stripped 
out several entries and didn't give them their own pages (ie, write 
from the read.2 page, setgid, setsid, setreuid, setregid from 
the geteuid.2 page, and so on). 

In some cases, the entries were grouped according to source file
since I wrote TFM from TFS, so some reorganization was probably 
desireable (ie

getpid, getuid, getgid, getgid, geteuid, getegid, getppid, getpgrp,  setpgid, se
tuid, setgid, setsid, setreuid, setregid. \- get and set process ownership infor
mation.

was probably a little excessive), but total elimination of these entries 
doesn't do a whole lot of good.

------------------------------

End of DOC Digest
*****************
-------